Bug 1347878 - (xorsearch) Review Request: xorsearch - Search for a given string in an XOR, ROL, ROT or SHIFT encoded binary file
Review Request: xorsearch - Search for a given string in an XOR, ROL, ROT or ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2016-06-17 19:48 EDT by Michal Ambroz
Modified: 2017-03-08 08:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-07 08:20:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2016-06-17 19:48:51 EDT
Spec URL: https://rebus.fedorapeople.org/SPECS/xorsearch.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/xorsearch-1.11.1-1.fc23.src.rpm

Description:
XORSearch is a program to search for a given string in an XOR, ROL, ROT or SHIFT
encoded binary file. An XOR encoded binary file is a file where some (or all)
bytes have been XORed with a constant value (the key). A ROL (or ROR) encoded
file has its bytes rotated by a certain number of bits (the key). A ROT encoded
file has its alphabetic characters (A-Z and a-z) rotated by a certain number
of positions. A SHIFT encoded file has its bytes shifted left by a certain
number of bits (the key): all bits of the first byte shift left, the MSB
of the second byte becomes the LSB of the first byte, all bits of the second
byte shift left, … XOR and ROL/ROR encoding is used by malware programmers
to obfuscate strings like URLs.
Comment 1 Michal Ambroz 2016-06-17 19:52:48 EDT
Koji build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=14537712
Comment 2 fszymanski 2016-07-07 09:33:09 EDT
Hi,

I have a few suggestions.

1) You need to list a BuildRequires against gcc in your spec file.
See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B

2) This is enough:
%setup -q -c

3) The -trigraphs option converts ??) to ] and this is not what you want here.
Instead use -Wno-trigraphs to suppress the trigraph warnings.
See: https://gcc.gnu.org/onlinedocs/gcc/Preprocessor-Options.html
Consider also using the optimization flags.
Example:

%build
gcc $RPM_OPT_FLAGS -Wno-trigraphs XORSearch.c -o %{name}

4) You don't need this:
rm -rf $RPM_BUILD_ROOT

5) And finally for the convenience you could define a %{pkgver} macro.
This way you are changing only the version.
Example:

%define pkgver %(echo %{version} | sed 's/\\./_/g')

Source0:  http://didierstevens.com/files/software/XORSearch_V%{pkgver}.zip

Filip
Comment 3 Michal Ambroz 2016-08-02 01:10:42 EDT
Hello Filip,
thanks for the valuable comments. Here are updated SPEC/SRPMS

Spec URL: https://rebus.fedorapeople.org/SPECS/xorsearch.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/xorsearch-1.11.1-3.fc23.src.rpm

Thank you
Michal Ambroz
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-11-12 20:04:22 EST
Group → not necessary
BuildRoot → should not be used
[https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections,
https://fedoraproject.org/wiki/EPEL:Packaging#Previously_required_boilerplate]

%setup -q -c
%patch0 -p 1 -b .cosmetics
→ %autosetup -p1
(unless you needs the backup file...)

+ license is acceptable (PD)
+ license is specified correctly
+ package name is OK
+ builds and installs
+ provides/requires look OK
+ latest version

Package is APPROVED.
Comment 5 Gwyn Ciesla 2016-11-21 17:16:41 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/xorsearch
Comment 6 Fedora Update System 2016-11-22 00:40:00 EST
xorsearch-1.11.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3507bc8eea
Comment 7 Fedora Update System 2016-11-22 00:40:08 EST
xorsearch-1.11.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b043636f33
Comment 8 Fedora Update System 2016-11-23 15:32:07 EST
xorsearch-1.11.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b043636f33
Comment 9 Fedora Update System 2016-11-23 18:07:02 EST
xorsearch-1.11.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3507bc8eea
Comment 10 Fedora Update System 2017-03-07 08:20:55 EST
xorsearch-1.11.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-03-08 08:21:58 EST
xorsearch-1.11.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.